Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.fst
Class MEMM

    java.lang.Object
      cc.mallet.fst.Transducer
          cc.mallet.fst.CRF
              cc.mallet.fst.MEMM

All Implemented Interfaces:
  java.io.Serializable

    public class MEMM

extends CRF
implements java.io.Serializable

A Maximum Entropy Markov Model.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `MEMM.State`
`protected static class` | `MEMM.TransitionIterator`

Nested classes/interfaces inherited from class cc.mallet.fst.CRF
`CRF.Factors`

Nested classes/interfaces inherited from class cc.mallet.fst.Transducer
`Transducer.Incrementor`

Field Summary

Fields inherited from class cc.mallet.fst.CRF
`cachedNumParametersStamp, featureInducers, featureSelections, globalFeatureSelection, initialStates, inputAlphabet, name2state, numParameters, outputAlphabet, parameters, states, weightsStructureChangeStamp, weightsValueChangeStamp`

Fields inherited from class cc.mallet.fst.Transducer
`CERTAIN_WEIGHT, IMPOSSIBLE_WEIGHT, inputPipe, outputPipe`

Constructor Summary
`MEMM(Alphabet inputAlphabet, Alphabet outputAlphabet)`
`MEMM(CRF crf)`
`MEMM(Pipe inputPipe, Pipe outputPipe)`

Method Summary
`protected CRF.State` | `newState(java.lang.String name, int index, double initialWeight, double finalWeight, java.lang.String[] destinationNames, java.lang.String[] labelNames, java.lang.String[][] weightNames, CRF crf)`

Methods inherited from class cc.mallet.fst.CRF
`addFullyConnectedStates, addFullyConnectedStatesForBiLabels, addFullyConnectedStatesForLabels, addFullyConnectedStatesForThreeQuarterLabels, addFullyConnectedStatesForTriLabels, addOrderNStates, addSelfTransitioningStateForAllLabels, addStartState, addStartState, addState, addState, addState, addState, addStatesForBiLabelsConnectedAsIn, addStatesForHalfLabelsConnectedAsIn, addStatesForLabelsConnectedAsIn, addStatesForThreeQuarterLabelsConnectedAsIn, evaluate, freezeWeights, freezeWeights, getDefaultWeights, getInputAlphabet, getNumParameters, getOutputAlphabet, getParameter, getParameter, getParameters, getParametersAbsNorm, getState, getState, getWeights, getWeights, getWeights, getWeightsIndex, getWeightsName, getWeightsStructureChangeStamp, getWeightsValueChangeStamp, induceFeaturesFor, initialStateIterator, isTrainable, isWeightsFrozen, numStates, predict, print, print, setAsStartState, setDefaultWeight, setDefaultWeights, setFeatureSelection, setParameter, setParameter, setWeights, setWeights, setWeights, setWeightsDimensionAsIn, setWeightsDimensionAsIn, setWeightsDimensionDensely, unfreezeWeights, weightsStructureChanged, weightsValueChanged, write`

Methods inherited from class cc.mallet.fst.Transducer
`averageTokenAccuracy, canIterateAllTransitions, generatePath, getInputPipe, getMaxLatticeFactory, getOutputPipe, getSumLatticeFactory, isGenerative, label, less_efficient_sumLogProb, no_longer_needed_sumNegLogProb, setMaxLatticeFactory, setSumLatticeFactory, stateIndexOfString, sumLogProb, transduce, transduce`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MEMM

    public MEMM(Pipe inputPipe,
                Pipe outputPipe)

### MEMM

    public MEMM(Alphabet inputAlphabet,
                Alphabet outputAlphabet)

### MEMM

    public MEMM(CRF crf)

Method Detail

### newState

    protected CRF.State newState(java.lang.String name,
                                 int index,
                                 double initialWeight,
                                 double finalWeight,
                                 java.lang.String[] destinationNames,
                                 java.lang.String[] labelNames,
                                 java.lang.String[][] weightNames,
                                 CRF crf)

  Overrides:
    `newState` in class `CRF`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD